2017-10-18 06:24 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002662OpenFOAM[All Projects] Bugpublic2017-08-14 10:17
Reporterykanani 
Assigned Tohenry 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformLinuxOSCentOS OS Versionrelease 6.7
Product Version5.0 
Target VersionFixed in Version 
Summary0002662: decomposePar does not work properly by using collated file format with ascii writeFormat
DescriptionDecomposePar does not correctly decomposes cases in collated file format if ascii format is selected for the writeFormat.

Decomposing fails in the the field decomposition with errors related to different mesh files (i.e. faces, points , etc) stored in the processors/constant/polyMesh.

I faced the error in decomposing fields when trying to decompose one of my cases with the collated file format. In that case, one of the processors (i.e. //ProcessorN ) were completely missing in the neighbour file under processors/constant/polyMesh.

Changing the writeFormat to ascii in the fileHandler tutorial results to similar error as well.

Issue will be resolved when using binary format.
Steps To Reproducechange the binary to ascii in the controlDict of the fileHandler tutorial.

run decomposePar -fileHandler collated
TagsNo tags attached.
Attached Files
  • ? file icon log_error (3,212 bytes) 2017-08-10 21:36 -
    /*---------------------------------------------------------------------------*\
    | =========                 |                                                 |
    | \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
    |  \\    /   O peration     | Version:  5.0                                   |
    |   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
    |    \\/     M anipulation  |                                                 |
    \*---------------------------------------------------------------------------*/
    Build  : 5.0
    Exec   : decomposePar -fileHandler collated
    Date   : Aug 10 2017
    Time   : 12:42:59
    Host   : 
    PID    : 20490
    I/O    : collated (maxThreadFileBufferSize 0)
             Threading not activated since maxThreadFileBufferSize = 0.
             Writing may run slowly for large file sizes.
    Case   : nProcs : 1
    sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
    fileModificationChecking : Monitoring run-time modified files using timeStamp (fileModificationSkew 10)
    allowSystemOperations : Allowing user-supplied system call operations
    
    // * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
    Create time
    
    
    
    Decomposing mesh region0
    
    Create mesh
    
    Calculating distribution of cells
    Selecting decompositionMethod simple
    
    Finished decomposition in 0 s
    
    Calculating original mesh data
    
    Distributing cells to processors
    
    Distributing faces to processors
    
    Distributing points to processors
    
    Constructing processor meshes
    
    Processor 0
        Number of cells = 240
        Number of faces shared with processor 1 = 51
        Number of processor patches = 1
        Number of processor faces = 51
        Number of boundary faces = 531
    
    Processor 1
        Number of cells = 240
        Number of faces shared with processor 0 = 51
        Number of faces shared with processor 2 = 48
        Number of processor patches = 2
        Number of processor faces = 99
        Number of boundary faces = 497
    
    Processor 2
        Number of cells = 240
        Number of faces shared with processor 1 = 48
        Number of faces shared with processor 3 = 52
        Number of processor patches = 2
        Number of processor faces = 100
        Number of boundary faces = 498
    
    Processor 3
        Number of cells = 240
        Number of faces shared with processor 2 = 52
        Number of processor patches = 1
        Number of processor faces = 52
        Number of boundary faces = 530
    
    Number of processor faces = 151
    Max number of cells = 240 (0% above average 240)
    Max number of processor patches = 2 (33.3333% above average 1.5)
    Max number of faces between processors = 100 (32.4503% above average 75.5)
    
    Time = 0
    
    Processor 0: field transfer
    Processor 1: field transfer
    Processor 2: field transfer
    Processor 3: field transfer
    
    
    --> FOAM FATAL IO ERROR: 
    Expected a '(' while reading binaryBlock, found on line 37 the label 1011
    
    file: /oasis/scratch/comet/ykanani/temp_project/openfoam/of5/fileHandler/processors/constant/polyMesh/faceProcAddressing at line 37.
    
        From function Foam::Istream &Foam::Istream::readBegin(const char *)
        in file db/IOstreams/IOstreams/Istream.C at line 92.
    
    FOAM exiting
    
    
    ? file icon log_error (3,212 bytes) 2017-08-10 21:36 +

-Relationships
+Relationships

-Notes

~0008567

ykanani (reporter)

I tried to reproduce the error on other machine to make sure that this is a bug. But I could not reproduce the error on the tutorial case. It seems there should be a problem with installation on the first cluster that I used.

So it seems this is not a bug.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-10 21:36 ykanani New Issue
2017-08-10 21:36 ykanani File Added: log_error
2017-08-13 21:01 ykanani Note Added: 0008567
2017-08-14 10:17 henry Assigned To => henry
2017-08-14 10:17 henry Status new => closed
2017-08-14 10:17 henry Resolution open => no change required
+Issue History